Bug 215275 - Manufacturer field shows unknown for most of the devices in hwbrowser
Manufacturer field shows unknown for most of the devices in hwbrowser
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: hwbrowser (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
David Lawrence
: Regression
Depends On:
Blocks: 200812
  Show dependency treegraph
Reported: 2006-11-13 01:29 EST by Giribabu Bikki
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-19 10:10:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Giribabu Bikki 2006-11-13 01:29:20 EST
Description of problem:Manufacturer field shows unknown for most of the devices
in hwbrowser-0.27-2 (RHEL5 Beta1 weekly release 07 Nov 06)

Version-Release number of selected component (if applicable):0.27-2

How reproducible:

Steps to Reproduce:
1.install RHEL5 Beta1 weekly release 07 Nov 06
2.install hwbrowser-0.27-2 rpm
3.run hwbrowser 
Actual results:shown Unknown in manufacturer field

Expected results: it should show manufacturer information

Additional info:
Comment 1 Nils Philippsen 2006-11-13 03:31:03 EST
hwbrowser gets its hardware information from hwdata, changing component
Comment 2 Karsten Hopp 2006-11-13 07:19:50 EST

reproducable in rawhide. lscpi shows the manufacturer (it gets the information
from hwdata's pci.ids), hwbrowser doesn't.
This is because hwbrowser still tries to parse the vendor info from
the description string returned from older kudzu versions (p.e. RHEL-4). kudzu
in turn got it from the file pcitables which has been deprecated and not
supported by hwdata and kudzu anymore.

Check out DeviceGeneric.py and look for
   if string.find (device.kudzu_device.desc, "|") != -1:

This is old pcitables syntax. You now need to get vendorId from kudzu and match
that with the corresponding entry in pci.ids
Comment 3 RHEL Product and Program Management 2006-11-13 07:40:22 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 5 Nils Philippsen 2006-11-20 12:29:52 EST
I've built hwbrowser-0.28-1.el5 for RHEL5 which looks up vendorId (if set) in
pci.ids or usb.ids respectively. It works here with only the usual suspects
unknown (e.g. keyboard).
Comment 6 Amit Bhutani 2006-11-21 13:32:19 EST
Can we request this be posted to a people page so we can test and report results ?
Comment 7 Nils Philippsen 2006-11-22 05:59:59 EST
Find the file at:


Mind that the package isn't signed, its checksums are:

MD5SUM: da5dc3139a9ee41d59dba91d2486f512
SHA1SUM: 71d649bc44100a9f94037a17947bb0c95186909c
Comment 8 Giribabu Bikki 2006-11-22 07:12:05 EST
I regressed with the above hwbrowser-0.28-1.el5.noarch.rpm and found that except
keyboard, mouse and floppy remaining device's manufacturers info is showing
Comment 9 Amit Bhutani 2006-11-28 18:02:27 EST
So that's good news that the network hardware is showing up properly in test
hwbrowser package provided in comment #7.

Question now is, what would it take get the keyboard, mouse and floppies to show
up properly ?
Comment 10 Karsten Hopp 2006-11-30 06:22:08 EST
Please note that the manufacturer of PS/2 devices and ordinary (non USB) 
keyboards cannot be detected and will always be displayed as 'Unknown'.
If there are unknown manufacturer entries besides those mentioned above:
  Missing USB entries need to be submitted at http://www.linux-usb.org/
  Missing PCI.ids should be submitted at http://pciids.sourceforge.net/
Comment 11 James Laska 2006-12-05 09:59:19 EST
Tested with hwbrowser-0.30-1.el5 

The only fields showing manufacturer=Unknown are
 - SynPS/2 Synaptics Touchpad
 - AT Translated Set 2 keyboard
 - IBM0057 
 - IBM0071
 - NSC1100
 - PC Speaker
 - PNP0200
 - PNP0303
 - PNP0400
 - PNP0501
 - PNP0700
 - PNP0800
 - PNP0a08
 - PNP0c01
 - PNP0c02
 - PNP0c04
 - TPPS/2 IBM TrackPoint

The PS/2 devices appear to be known according to comment#10.  I'm moving this
issue to VERIFIED.
Comment 12 Jay Turner 2006-12-19 10:10:43 EST
hwbrowser-0.30-1.el5 included in 20061218.1 trees.

Note You need to log in before you can comment on or make changes to this bug.